package com.kakaoent.cpdd.config.client1.configuration.properties;

import java.util.ArrayList;
import java.util.List;
import lombok.Getter;
import org.springframework.stereotype.Component;

@Getter
@Component
public class ApiProperties implements ConfigApiProperties {

    List<ApiProperty> units;

    public ApiProperties(List<ConfigApiProperties> apiProperties) {
        units = new ArrayList<>();
        apiProperties.forEach(e -> units.addAll(e.getUnits()));
    }

}
